/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2009 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.cadre;

import socle.*;
import socle.util.*;
import java.util.ArrayList;
/*-----------------------------------------------------------------------*/

/** Evenement de selection dans un cadre de navigation.
*/
public class CadreSelectEvent extends CadreEvent {

	private ArrayList list;
	private ZoneTrame zone;

	public CadreSelectEvent(Object source, ArrayList list, ZoneTrame zone){
		super(source);
		this.list = list;
		this.zone = zone;
	}
	public ArrayList getArray(){
		return list;
	}
	public ZoneTrame getZone(){
		return zone;
	}
}
