/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2008 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.conc;

import javax.swing.JFrame;
/*-----------------------------------------------------------------------*/

/**
 * Controleur pour une concordance.
 **/
public class ConcController {
	private ConcView view = null;
	private ConcModel model = null;
	private JFrame frame = null;

	/**
	 * Creation du controleur.
	 * @param model     Modele de donnees une concordance.
	 **/
	public ConcController (ConcModel model) {
		this.model = model;
		//this.view = new ConcView(this);
		model.addConcListener(view);
	}

	/**
	 * Ajoute une vue sur la concordance.
	 **/
	public void displayView(JFrame frame) {
		this.frame = frame;
		frame.add(view);
	}

	/**
	 * Supprime la vue sur la concordance.
	 **/
	public void closeView() {
		if (frame != null) {
			frame.remove(view);
		}
	}

	/**
	 * Notifie un changement intervenu dans la concordance au travers de sa vue.
	 **/
	public void notifyConcChanged(String s){
		//;
	}
}
