/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2007 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.conc;

import socle.trame.*;
import java.util.*;
/*-----------------------------------------------------------------------*/

/************************************************
**   Chaine de caracteres triable de droite a gauche
*************************************************/
public class ConcGraphPalindrome extends ConcGraph implements Comparable {
       		private String palindrome;

		public ConcGraphPalindrome(String s) {
			super(s);
			int i, len = s.length();
			StringBuffer dest = new StringBuffer(len);
			char c;
			String dia = new String("");
			for (i= (len-1); i>=0; i--) {
				c = s.charAt(i);
				int type = Character.getType(c);
				if ((type == Character.NON_SPACING_MARK) ||
					(type == Character.COMBINING_SPACING_MARK) ||
					(type == Character.ENCLOSING_MARK) ||
					(type == Character.MODIFIER_LETTER)) {
					dia += c;
				} else {
					dest.append(c);
					dest.append(dia);
					dia = new String("");
				}
			}
			dest.append(dia);
			palindrome = dest.toString();
		}
		public int compareTo(Object o) {
			Comparator<String> comp = TrameModel.GRAPH_ORDER;
			return comp.compare(palindrome, ((ConcGraphPalindrome)o).palindrome);
		}
}
