/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2006 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.conc;

import socle.util.*;
import javax.swing.*;

/*-----------------------------------------------------------------------*/

/** Boutton de retour au texte.
*/
public class GotoButton extends JButton implements Comparable {
		private Range range;
		private Integer  num;

	public GotoButton(Range range, int num) {
		super(String.valueOf(num));
		this.range = range;
		this.num = new Integer(num);
	}
	public Range getRange() {
		return range;
	}
	public int compareTo(Object o) {
		return num.compareTo(((GotoButton)o).num);
	}
	public int getNum() {
		return num.intValue();
	}
}
