/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2009 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.lexicon;

import socle.trame.*;

import java.util.EventObject;
import java.util.ArrayList;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
/*-----------------------------------------------------------------------*/

/** La classe <code>LexMenuView</code> est une vue du lexique.
*
* <p>La vue <code>LexMenuView</code> est une liste deroulante des differentes vues possibles</p>
*/
public class LexMenuView extends JComboBox implements TrameListener {

	/**
	 * Cree un menu deroulant listant les noms des vues existantes sur le lexique.
	 **/
	public LexMenuView() {
		super(new Object[] {});
	}

	/********************************************************************
	**   Ecoute les evenements de modifications en provenance de la trame
	*********************************************************************/
	public void trameChanged(TrameEvent event) {
		if (event instanceof TrameFieldsChangedEvent) {
			TrameFieldsChangedEvent e = (TrameFieldsChangedEvent)event;
			ArrayList<String> list = e.getNames();
			Object selected = getSelectedItem();
			removeAllItems();
			for (int i=0; i<list.size(); i++) {
				addItem(list.get(i));
			}
			if (list.contains(selected)) setSelectedItem(selected);
		}
	}
}