/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2009 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.lexicon;

import java.util.Collection;
/*-----------------------------------------------------------------------*/

/**
 * Evenement de modification de nom du lexique
 */
public class LexNameChangedEvent extends LexEvent {

	private String                name;
	private Collection            collection;

	/**
	 * Evenement de modification de nom du lexique.
	 **/
	public LexNameChangedEvent(Object source, Collection collection, String name){
		super(source);
		this.collection = collection;
		this.name = name;
	}

	/**
	 * Retourne la liste de tous les Articles du lexique.
	 **/
	public Collection getValues() {
		return collection;
	}

	/**
	 * Retourne le nom du lexique.
	 **/
	public String getName() {
		return name;
	}
}
