/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2008 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.lexicon;
/*-----------------------------------------------------------------------*/

/**
 * Evenement de remplacement d'un article par un autre dans le lexique
 */
public class ReplaceArticleEvent extends LexEvent {

	private int old_numap, new_numap;
	private String new_graph, old_graph;

	/**
	 * Evenement de modification du lexique.
	 **/
	public ReplaceArticleEvent(Object source, int old_numap, int new_numap, String old_graph, String new_graph){
		super(source);
		this.old_numap = old_numap;
		this.new_numap = new_numap;
		this.new_graph = new_graph;
		this.old_graph = old_graph;
	}

	/**
	 * Retourne la nouvelle forme graphique de l'article
	 **/
	public String getNewGraph(){
		return new_graph;
	}
	/**
	 * Retourne l'ancienne forme graphique de l'article
	 **/
	public String getOldGraph(){
		return old_graph;
	}
	/**
	 * Retourne le numero d'apparition de l'article remplace
	 **/
	public int getOldNumap(){
		return old_numap;
	}
	/**
	 * Retourne le numero d'apparition de l'article remplace
	 **/
	public int getNewNumap(){
		return new_numap;
	}
}
