/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2008 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.lexicon.article;

import java.util.HashMap;
/*-----------------------------------------------------------------------*/

/** Controlleur pour une occurrence.
*/
public class OccurrenceController {
	private OccurrenceView    view = null;
	private OccurrenceModel   model = null;
	private boolean           modif;

	/**
	 * Creation du controleur.
	 * @param model                Modele de donnees de la trame lexicale.
	 **/
	public OccurrenceController (OccurrenceModel model) {
		this.model = model;
		this.modif = false;
		view = new OccurrenceView(this);
		view.setVisible(true);
	}

	/** Retourne la liste des proprietes de l'occurrence.
	*/
	public HashMap<String,String> getProperties() {
		return model.getProperties();
	}
	/** Retourne la valeur de l'occurrence pour la  propriete specifiee.
	*/
	public String getValue(String key) {
		return model.getValue(key);
	}

	/** Retourne vrai si la valeur a ete modifiee.
	*/
	public boolean getModif() {
		return modif;
	}

	/** Fixe les proprietes de l'occurence.
    *
    * @param properties proprietes de l'occurence
	*/
	public void setProperties(HashMap<String,String> properties) {
		modif = true;
		model.setProperties(properties);
		model.fireOccChanged();
	}
}
