/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2009 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.partition;

import socle.*;
import socle.preferences.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
/*-----------------------------------------------------------------------*/

/** Fenetre de dialogue pour definir les criteres d'une nouvelle partition du texte.
*/
public class DialogPartition extends JDialog {

	private String                separatorItem;
	private String                partitionName;
	private boolean               valid;
	private JTextField            textfield_name;
	private JTextField            textfield_separatorItem;

	public DialogPartition() {
 		super();
        Dimension screenSize = new Dimension(Toolkit.getDefaultToolkit().getScreenSize());
        setLocation((int) ((screenSize.getWidth() - 400) / 2), (int) ((screenSize.getHeight() - 220) / 2));
 		this.setModal(true);
 		this.setTitle(Textometre.LABELS.getLocaliseString("partition"));

	    this.separatorItem = PreferencesModel.PARTITION_SEPARATORS;
	    this.partitionName = "name";
	    this.valid = false;

		JButton okButton           = new JButton(Textometre.LABELS.getLocaliseString("ok"));
		JButton cancelButton       = new JButton(Textometre.LABELS.getLocaliseString("cancel"));
		JPanel  cmds               = new JPanel();
		cmds.add(okButton);
		cmds.add(cancelButton);
		okButton.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				valid = true;
				partitionName = textfield_name.getText();
				separatorItem = textfield_separatorItem.getText();
				dispose();
			}
		});
		cancelButton.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				dispose();
			}
		});
		this.textfield_name = new JTextField(partitionName);
		this.textfield_separatorItem = new JTextField(separatorItem);

 		getContentPane().setLayout(new GridLayout(3,1));

		Box nameBox = new Box(BoxLayout.LINE_AXIS);
		nameBox.setBorder(new javax.swing.border.TitledBorder(Textometre.LABELS.getLocaliseString("partition.name")));
		nameBox.add(textfield_name);

		Box separatorItemBox = new Box(BoxLayout.LINE_AXIS);
		separatorItemBox.setBorder(new javax.swing.border.TitledBorder(Textometre.LABELS.getLocaliseString("partition.itemSeparator")));
		separatorItemBox.add(textfield_separatorItem);

 		getContentPane().add(nameBox);
 		getContentPane().add(separatorItemBox);
 		getContentPane().add(cmds);
		pack();
	}
	public boolean isValidate () {
		return valid;
	}
	public String getSeparatorItem () {
		return separatorItem;
	}
	public String getPartitionName () {
		return partitionName;
	}
};