/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2008 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.preferences;

import java.awt.Color;
/*-----------------------------------------------------------------------*/

/**
 * Evenement de modification des preferences de la couleur de fond
 */
public class PreferencesChangedBgColorEvent extends PreferencesChangedEvent {
	private Color bgColor;

	/**
	 * Evenement de modification des preferences de la couleur de fond.
	 * @param bgColor     couleur de fond
	 **/
	public PreferencesChangedBgColorEvent(Object source, Color bgColor){
		super(source, bgColor);
		this.bgColor = bgColor;
	}

	/**
	 * Retourne la nouvelle couleur de fond
	 **/
	public Color getNewBgColor(){
		return bgColor;
	}
}
