/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2008 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.preferences;

import java.util.EventObject;
/*-----------------------------------------------------------------------*/

/**
 * Evenement de modification des preferences de fonte
 */
public class PreferencesChangedFontEvent extends PreferencesChangedEvent {
	private String fontName;

	/**
	 * Evenement de modification des preferences de fonte.
	 * @param fontName     Nom de la police
	 **/
	public PreferencesChangedFontEvent(Object source, String fontName){
		super(source, fontName);
		this.fontName = fontName;
	}

	/**
	 * Retourne le nom de la nouvelle fonte
	 **/
	public String getNewFontName(){
		return fontName;
	}
}
