/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2008 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.preferences;

import socle.*;

import java.awt.Color;
import java.util.Locale;
/*-----------------------------------------------------------------------*/

/**
 * Controleur pour les preferences.
 **/
public class PreferencesController {
	private PreferencesModel model = null;
	private PreferencesView preferencesView = null;

	/**
	 * Creation du controleur.
	 * @param model     Modele de donnees des preferences.
	 **/
	public PreferencesController (PreferencesModel model) {
		this.model = model;
		preferencesView = new PreferencesView(this);
	}

	public void displayOptions(String[] tags, Facets facets) {
		preferencesView.displayOptions(tags, facets);
	}
	public void displayCollatorView() {
		preferencesView.chooseCollator();
	}
	public void displayTokenizerView() {
		preferencesView.chooseTokenizer();
	}
	public String getFontName() {
		return model.getFontName();
	}
	public void setFontName(String name) {
		model.setFontName(name);
	}
	public void setHint(String name) {
		model.setHint(name);
	}
	public String getHint() {
		return model.getHint();
	}
	public Color getBgColor() {
		return model.getBgColor();
	}
	public void setBgColor(Color color) {
		model.setBgColor(color);
	}
	public Locale getLocale4collator() {
		return model.getLocale4collator();
	}
	public void setLocale4collator(Locale loc) {
		model.setLocale4collator(loc);
	}
	public Locale getLocale() {
		return model.getLocale();
	}
	public void setLocale(Locale loc) {
		model.setLocale(loc);
	}
	public Object[] getTypeDefinition() {
		return model.getTypeDefinition();
	}
	public void setTypeDefinition(Object[] typeDefinition) {
		model.setTypeDefinition(typeDefinition);
	}
	public Class getTokenizer() {
		return model.getTokenizer();
	}
	public void setTokenizer(Class tokenizer) {
		model.setTokenizer(tokenizer);
	}
	public String getStrTokenizer() {
		return model.getStrTokenizer();
	}
	public void setStrTokenizer(String str) {
		model.setStrTokenizer(str);
	}

	public String getPartitionSeparators() {
		return model.getPartitionSeparators();
	}
}
