/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2009 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.tokenizer;

import socle.lexicon.article.*;

/*-----------------------------------------------------------------------*/

/** Interface de tokenisation pour un trameur
*/
public interface Tokenizable {

	/** Ajoute un article dans le lexique ou augmente sa frequence.
	 * @param graph     Representation graphique de l'article.
	 * @param stat      Statut de l'article (Article.LEXICAL, Article.SEPARATOR).
	 * @param feedLexicon Vrai si le nouvel item doit enrichir un lexique.
	 **/
	public void putArticle(String graph, char stat, boolean feedLexicon) throws Exception;

	/**
	 * Retourne l'article correspondant du lexique.
	 * Cette implementation genere simplement une exception
	 **/
	public Article getArticle(int numapp) throws Exception;

	/**
	 * Retourne l'article correspondant du lexique.
	 * Cette implementation genere simplement une exception
	 **/
	public Article getArticle(String s) throws Exception;
}
