/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2010 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.trame;

import java.awt.*;
/*-----------------------------------------------------------------------*/

/** Interface pour la selection des occurences.
*/
public interface Selectable {

	/** Selectionne l'occurence.
	 **/
	public int getNumocc();
	/** Selectionne l'occurence.
	 **/
	public void select(Color c);

	/** Deselectionne l'occurence.
	 **/
	public void unselect();

	/** Donne le focus a l'occurence.
	 **/
	public void focus();
	/** Enleve le focus a l'occurence.
	 **/
	public void unfocus();
}