/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2010 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.util;

import java.awt.Point;
/*-----------------------------------------------------------------------*/

/** NamedPoint est un point qui porte un nom.
*/
public class NamedPoint extends Point {

		private String   name = "unnamed";

	/** Construit un objet NamedPoint avec le nom name.
	 **/
	public NamedPoint(int x, int y, String name) {
		super(x, y);
		this.name = name;
	}
	public NamedPoint(Point p, String name) {
		super(p);
		this.name = name;
	}

	/**
	 * Fixe le nom du point.
	 **/
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * Retourne le nom du point.
	 **/
	public String getName() {
		return name;
	}
	/**
	 * Retourne le nom du point.
	 **/
	public String toString() {
		return name;
	}
}