/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2009 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.util;

import java.io.*;
/*-----------------------------------------------------------------------*/

/** XMLString est une classe outil pour representer des chaines de caracteres en XML.
*/
public class XMLString {

	public XMLString() {
	}
	static public StringBuffer toStringBuffer(String str) {
		StringBuffer xmldata = new StringBuffer();
		for (int pos = 0; pos < str.length(); pos++) {
			char c = str.charAt(pos);
			int type = Character.getType(c);
			if (type == Character.CONTROL) {
				System.err.println("Warning: Control character:"+(int)c);
			} else if (c == '&') {
				xmldata.append("&amp;");
			} else if (c == '<') {
				xmldata.append("&lt;");
			} else if (c == '>') {
				xmldata.append("&gt;");
			} else {
				xmldata.append(c);
			}
		}
		return xmldata;
	}
	static public String toString(String str) {
		return toStringBuffer(str).toString();
	}

}