/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2008 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.util;

import socle.trame.*;
/*-----------------------------------------------------------------------*/

/** Intervalle de caractres qui se suivent dans un texte.
*
* <p>Une ZoneText est un intervalle definit par ses bornes de debut et de fin
* exprimes en termes de position des caracteres dans un texte
* </p>
*/
public class ZoneText extends Range {

	/**
	 * ZoneText.
	 * @param from      Debut de la zone en nombre de caracteres .
	 * @param until     Fin de la zone en nombre de caracteres.
	 **/
	public ZoneText(int from, int until) {
		super(from, until);
	}

	/**
	 * ZoneText.
	 * @param from      Debut de la zone en nombre de caracteres .
	 * @param until     Fin de la zone en nombre de caracteres.
	 **/
	public ZoneText(String from, String until) {
		super(from, until);
	}
}